#include<bits/stdc++.h>
using namespace std;
int main(){
    int t;
    cin>>t;
    vector<int> n(t);
    for(int i=0;i<t;i++){
        cin>>n[i];
    }
    vector<int> brojevi;
    int proizvod=1;
    int br=0;
    bool ima=false;
    bool prvi=true;
    for(int i=0;i<t;i++){
        br=0;
        ima=false;
        brojevi.clear();
        proizvod=1;
        if(t>1000000){
            break;
        }
        for(int j=1;j<=n[i];j++){
            int j2=j;
            while(j2>0){
                proizvod*=j%10;
                j2/=10;
            }
            for(int k=0;k<brojevi.size();k++){
                if(brojevi[k]==proizvod){
                    ima=true;
                }
            }
            if(!ima){
                brojevi.push_back(proizvod);
                br++;
            }
        }
        brojevi.clear();
        cout<<br<<endl;
    }
}